Bug 584584 - RFE: include ib-related functions in kabi whitelist
RFE: include ib-related functions in kabi whitelist
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Jon Masters
Red Hat Kernel QE team
: FutureFeature
Depends On:
Blocks: RHEL6.1KABI 655920
  Show dependency treegraph
 
Reported: 2010-04-21 18:29 EDT by Andy Grover
Modified: 2016-02-10 09:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 23:42:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2010-04-21 18:29:23 EDT
If supporting OFED in RHEL6 (see bug 584583)...

Please include ib-related APIs in the kabi whitelist. These include exported functions beginning with ib_ as well as rdma_. (Happy to provide a list if it helps.)
Comment 2 RHEL Product and Program Management 2010-04-21 20:03:28 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 5 Jon Masters 2010-11-18 02:32:10 EST
I have tentatively added this to the process for a future update to RHEL6, however I do need an explicit list of the interface symbols you require. I am afraid it does not work at the stack level - well it can, but we generally only add symbols in reaction to specific requests for them.

Thanks.

Jon.
Comment 6 Andy Grover 2010-11-19 14:23:52 EST
Hi here's the list of exported symbols:

--begin
cm_class
ib_alloc_device
ib_alloc_fast_reg_mr
ib_alloc_fast_reg_page_list
ib_alloc_fmr
ib_alloc_mw
ib_alloc_pd
ib_attach_mcast
ib_cancel_mad
ib_cm_init_qp_attr
ib_cm_listen
ib_cm_notify
ib_copy_ah_attr_to_user
ib_copy_path_rec_from_user
ib_copy_path_rec_to_user
ib_copy_qp_attr_to_user
ib_create_ah
ib_create_ah_from_wc
ib_create_cm_id
ib_create_cq
ib_create_fmr_pool
ib_create_qp
ib_create_send_mad
ib_create_srq
ib_dealloc_device
ib_dealloc_fmr
ib_dealloc_mw
ib_dealloc_pd
ib_dereg_mr
ib_destroy_ah
ib_destroy_cm_id
ib_destroy_cq
ib_destroy_fmr_pool
ib_destroy_qp
ib_destroy_srq
ib_detach_mcast
ib_dispatch_event
ib_find_cached_gid
ib_find_cached_pkey
ib_find_gid
ib_find_pkey
ib_flush_fmr_pool
ib_fmr_pool_map_phys
ib_fmr_pool_unmap
ib_free_fast_reg_page_list
ib_free_recv_mad
ib_free_send_mad
ib_get_cached_gid
ib_get_cached_lmc
ib_get_cached_pkey
ib_get_client_data
ib_get_dma_mr
ib_get_mad_data_offset
ib_get_rmpp_segment
ib_init_ah_from_mcmember
ib_init_ah_from_path
ib_init_ah_from_wc
ib_is_mad_class_rmpp
ib_modify_ah
ib_modify_cq
ib_modify_device
ib_modify_mad
ib_modify_port
ib_modify_qp
ib_modify_qp_is_ok
ib_modify_srq
ib_pack
ib_post_send_mad
ib_process_mad_wc
ib_query_ah
ib_query_device
ib_query_gid
ib_query_mr
ib_query_pkey
ib_query_port
ib_query_qp
ib_query_srq
ib_rate_to_mult
ib_redirect_mad_qp
ib_register_client
ib_register_device
ib_register_event_handler
ib_register_mad_agent
ib_register_mad_snoop
ib_reg_phys_mr
ib_rereg_phys_mr
ib_resize_cq
ib_response_mad
ib_sa_cancel_query
ib_sa_free_multicast
ib_sa_get_mcmember_rec
ib_sa_join_multicast
ib_sa_path_rec_get
ib_sa_register_client
ib_sa_service_rec_query
ib_sa_unregister_client
ib_send_cm_apr
ib_send_cm_drep
ib_send_cm_dreq
ib_send_cm_lap
ib_send_cm_mra
ib_send_cm_rej
ib_send_cm_rep
ib_send_cm_req
ib_send_cm_rtu
ib_send_cm_sidr_rep
ib_send_cm_sidr_req
ib_set_client_data
ib_ud_header_init
ib_ud_header_pack
ib_ud_header_unpack
ib_umem_get
ib_umem_page_count
ib_umem_release
ib_unmap_fmr
ib_unpack
ib_unregister_client
ib_unregister_device
ib_unregister_event_handler
ib_unregister_mad_agent
iw_cm_accept
iw_cm_connect
iw_cm_disconnect
iw_cm_init_qp_attr
iw_cm_listen
iw_cm_reject
iw_create_cm_id
iw_destroy_cm_id
mult_to_ib_rate
rdma_accept
rdma_addr_cancel
rdma_addr_register_client
rdma_addr_unregister_client
rdma_bind_addr
rdma_connect
rdma_copy_addr
rdma_create_id
rdma_create_qp
rdma_destroy_id
rdma_destroy_qp
rdma_disconnect
rdma_init_qp_attr
rdma_join_multicast
rdma_leave_multicast
rdma_listen
rdma_node_get_transport
rdma_notify
rdma_reject
rdma_resolve_addr
rdma_resolve_ip
rdma_resolve_route
rdma_set_ib_paths
rdma_set_service_type
rdma_translate_ip
--end
Comment 7 Jon Masters 2010-11-21 21:16:50 EST
Is this all on x86_64? Which kernel did you test this with?
Comment 8 Andy Grover 2010-11-21 23:59:10 EST
This is from kernel 2.6.32. Arch matters? I just grepped drivers/infiniband/core for EXPORT_SYMBOL. I emailed Roland Drier and Sean Hefty this list and got no objections, fwiw.

Please advise on how to proceed and what you need, I'm a kabi newb. Thanks.
Comment 11 Jon Masters 2011-01-13 02:06:07 EST
At this point, we are unlikely to add the IB/RDMA symbols to the 6.1 kABI whitelist. Assuming this is the case, you would be able to use them for third party drivers in 6.1, but might have to rebuild your drivers in 6.2.

Jon.
Comment 12 Jon Masters 2011-01-13 23:42:42 EST
I'm afraid that these symbols cannot be added to kABI for RHEL6 at this time. Thus, it is possible to use them in your driver, but you may have to rebuild the driver periodically (e.g. in RHEL6.2). If you would like us to reconsider in the 6.2 timeframe, please contact us then. Additionally, feel free to email me about help implementing packaging, etc.

Jon.

Note You need to log in before you can comment on or make changes to this bug.